View Issue Details

IDProjectCategoryView StatusLast Update
0000447CaseTalk ModelerImport and Exportpublic2018-01-08 13:02
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version8.28Fixed in Version8.28 
Summary0000447: Implement some JSON Schema generation for NOSQL
DescriptionJSON Schema is used for multiple purposes, but is similar to the XSD for XML.
It is supported by MongoDB and possibly other NOSQL databases.
Additional InformationThis link contains references to generic RDF like JSON Schema's:

http://json-schema.org/

The following link contains a standard to describe database catalog information with Tables, Columns, etc. Very different.

http://dataprotocols.org/json-table-schema/
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2014-03-13 14:05

administrator   ~0000265

A draft for JSON Table Schema exists:
http://dataprotocols.org/json-table-schema/
BCP Software

BCP Software

2018-01-07 17:21

administrator   ~0001067

https://frictionlessdata.io/specs/table-schema/
BCP Software

BCP Software

2018-01-08 13:02

administrator   ~0001068

Supported by plugin. An example JSON output file can be found here:
https://github.com/casetalk/Models/blob/master/EN/WorkingHours

Issue History

Date Modified Username Field Change
2014-03-09 11:06 BCP Software New Issue
2014-03-09 11:06 BCP Software Status new => assigned
2014-03-09 11:06 BCP Software Assigned To => BCP Software
2014-03-13 14:05 BCP Software Note Added: 0000265
2014-03-13 14:05 BCP Software Summary Implement export for JSON Schema => Implement support for JSON Schema
2015-10-18 22:27 BCP Software Target Version Future => 9.0
2015-10-18 22:27 BCP Software Additional Information Updated View Revisions
2015-10-18 22:35 BCP Software Summary Implement support for JSON Schema => Implement some JSON Schema generation for NOSQL
2015-10-18 22:35 BCP Software Description Updated View Revisions
2016-01-20 12:58 BCP Software Category Import/Export => Import and Export
2017-11-01 16:39 BCP Software Additional Information Updated View Revisions
2018-01-07 17:21 BCP Software Note Added: 0001067
2018-01-07 17:21 BCP Software Target Version 9.0 => 8.28
2018-01-08 13:02 BCP Software Status assigned => resolved
2018-01-08 13:02 BCP Software Resolution open => fixed
2018-01-08 13:02 BCP Software Fixed in Version => 8.28
2018-01-08 13:02 BCP Software Note Added: 0001068